=== debian/changelog ===
ratpoints (1:2.1.3-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Point Vcs fields to salsa.debian.org (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Apply multi-arch hints.
    + libratpoints-dev: Add Multi-Arch: same.
  * watch file standard 4 (routine-update)
  * enable dh_missing --fail-missing

 -- Andreas Tille <tille@debian.org>  Sat, 13 Nov 2021 18:41:09 +0100

ratpoints (1:2.1.3-1) unstable; urgency=medium

  * New package ratpoints containing the ratpoints binary and the
    documentation ratpoints-doc.pdf. (Closes: #745810)
  * Include source of ratpoints-doc.pdf in debian/missing-sources/.
  * Remove repack infrastructure.
  * Include change from Ubuntu (2.1.3+dfsg-2ubuntu1) to resolve
    FTBFS from linking order. Thanks Daniel T Chen. (Closes: #729506)
  * Abort package build when test fails.
  * Bump Standards-Version to 3.9.5.

 -- Tobias Hansen <thansen@debian.org>  Wed, 09 Jul 2014 21:24:14 +0200

ratpoints (2.1.3+dfsg-2) unstable; urgency=low

  * Fix build with changed location of gmp header. (Closes: #717533)
  * Don't ship a copy of the GPL.
  * Remove unused lintian override.
  * Make Vcs-* fields canonical.

 -- Tobias Hansen <thansen@debian.org>  Mon, 29 Jul 2013 00:33:00 +0200

ratpoints (2.1.3+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #700184)

 -- Tobias Hansen <thansen@debian.org>  Wed, 05 Jun 2013 20:48:43 +0200
