=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_autoreconf:
	touch NEWS README AUTHORS ChangeLog
	dh_autoreconf
	rm -f NEWS README AUTHORS ChangeLog

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules --with-gmp-headers=/usr/include/$(DEB_HOST_MULTIARCH)
