=== debian/watch ===
version=4
http://www.mathe2.uni-bayreuth.de/stoll/programs/ratpoints-(.*)\.tar\.gz
