## ratpoints 2.1.3%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
    http://www.mathe2.uni-bayreuth.de/stoll/programs/ratpoints-(.*)\.tar\.gz \
    debian sh debian/repack.stub
