## ratpoints 2.1.3+dfsg

=== debian/changelog ===
ratpoints (2.1.3+dfsg-2ubuntu1) trusty; urgency=low

  * Resolved FTBFS from linking order.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 13 Nov 2013 11:29:04 -0500
