=== debian/control ===
Source: ratpoints
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf (>= 4~), libgmp-dev
Standards-Version: 3.9.4
Section: libs
Homepage: http://www.mathe2.uni-bayreuth.de/stoll/programs/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ratpoints.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ratpoints.git;a=summary

Package: libratpoints-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libratpoints-2.1.3 (= ${binary:Version})
Description: development files for libratpoints
 This program tries to find all rational points within a given height
 bound on a hyperelliptic curve in a very efficient way, by using
 an optimized quadratic sieve algorithm.
 .
 This package contains the development files for the library.

Package: libratpoints-2.1.3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for finding rational points on hyperelliptic curves
 This program tries to find all rational points within a given height
 bound on a hyperelliptic curve in a very efficient way, by using
 an optimized quadratic sieve algorithm.
